cURL
curl --request GET \ --url https://api.gcore.com/cloud/v1/keypairs/{project_id}/{region_id} \ --header 'Authorization: <api-key>'
{ "count": 1, "results": [ { "id": "36a7a97a-0672-4911-8f2b-92cd4e5b0d91", "name": "alice", "public_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDFHrnwGVBZs6q6vmTBzQFfzdRLQW8N6Rd0ogGe3h8tm83ZJLTTsF+1H4JcOvwI5ETkHMaFIWd2U15nHU5M7plE6UPRKfzy4rq6yI6cE4tojd3A9attMpbEEX7EbGKrbrb4AsjzxHKAVaREAb31ZplJkUlsiees25hTQXBcWQnOESlc9RCxZ/QQgNUUgqm7QGg7CNkL8Mpq9V4YaOhcFGWj0jXP1CL3g6Xe3xJo1CmUbkIOGUyAmrSfLEiy2O91iOUhbmYQyXksznNrT9O6uLkijf6syLZOdyAuUd/Z86eYXej4/YsvIA5eIFU4B6y9zOXEO2A81txPYMRAytYt7+e7 alice@alice", "shared_in_project": true, "state": "ACTIVE", "created_at": "2022-06-16T17:05:50", "fingerprint": "86:75:ce:e7:e9:1e:f0:79:ec:6f:d8:92:9b:43:fc:4d", "private_key": "<private_key>", "project_id": 1 } ] }
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef
apikey
apikey 1234$abcdef
Project ID
123
Region ID
7
OK
Number of objects
x >= 0
1
Objects
Show child attributes
Was this page helpful?